Loading...
Searching...
No Matches
OpenMesh::IO::_OMReader_ Class Reference

Implementation of the OM format reader. More...

`#include <OpenMesh/Core/IO/reader/OMReader.hh>`

Inheritance diagram for OpenMesh::IO::_OMReader_:
[legend]
Collaboration diagram for OpenMesh::IO::_OMReader_:
[legend]

## Public Member Functions

std::string | get_description () const override
| Returns a brief description of the file type that can be parsed.
std::string | get_extensions () const override
| Returns a string with the accepted file extensions separated by a whitespace and in small caps.
std::string | get_magic () const override
| Return magic bits used to determine file format.
bool | read (const std::string &_filename, BaseImporter &_bi, Options &_opt) override
| Reads a mesh given by a filename.
bool | read (std::istream &_is, BaseImporter &_bi, Options &_opt) override
| Stream Reader for std::istream input in binary format.
virtual bool | can_u_read (const std::string &_filename) const override
| Returns true if writer can parse _filename (checks extension).
virtual bool | can_u_read (std::istream &_is) const
Public Member Functions inherited from OpenMesh::IO::BaseReader
virtual | ~BaseReader ()
| Destructor.

## Additional Inherited Members

Protected Member Functions inherited from OpenMesh::IO::BaseReader
bool | check_extension (const std::string &_fname, const std::string &_ext) const

## Detailed Description

Implementation of the OM format reader.

This class is singleton'ed by SingletonT to OMReader.

## Member Function Documentation

## can_u_read()

bool OpenMesh::IO::_OMReader_::can_u_read | ( | const std::string & | _filename | ) | const

override virtual

Returns true if writer can parse _filename (checks extension).

_filename can also provide an extension without a name for a file e.g. _filename == "om" checks, if the reader can read the "om" extension

Parameters

  _filename | complete name of a file or just the extension

Returns
  true, if reader can read data with the given extension

Reimplemented from OpenMesh::IO::BaseReader.

## get_description()

std::string OpenMesh::IO::_OMReader_::get_description | ( |  | ) | const

inline override virtual

Returns a brief description of the file type that can be parsed.

Implements OpenMesh::IO::BaseReader.

## get_extensions()

std::string OpenMesh::IO::_OMReader_::get_extensions | ( |  | ) | const

inline override virtual

Returns a string with the accepted file extensions separated by a whitespace and in small caps.

Implements OpenMesh::IO::BaseReader.

## get_magic()

std::string OpenMesh::IO::_OMReader_::get_magic | ( |  | ) | const

inline override virtual

Return magic bits used to determine file format.

Reimplemented from OpenMesh::IO::BaseReader.

## read() [1/2]

bool OpenMesh::IO::_OMReader_::read | ( | const std::string & | _filename,
|  | BaseImporter & | _bi,
|  | Options & | _opt )

override virtual

Reads a mesh given by a filename.

Usually this method opens a stream and passes it to stream read method. Acceptance checks by filename extension can be placed here.

Options can be passed via _opt. After execution _opt contains the Options that were available

Implements OpenMesh::IO::BaseReader.

## read() [2/2]

bool OpenMesh::IO::_OMReader_::read | ( | std::istream & | _is,
|  | BaseImporter & | _bi,
|  | Options & | _opt )

override virtual

Stream Reader for std::istream input in binary format.

Implements OpenMesh::IO::BaseReader.

The documentation for this class was generated from the following files:

- OpenMesh/Core/IO/reader/OMReader.hh
- OpenMesh/Core/IO/reader/OMReader.cc